function isroot = isrootpath( filename )
    if isempty(filename)
        isroot = false;
    elseif filename(1)=='/'
        isroot = true;
    else
        isroot = ~isempty(regexp( filename, '^[A-Z]:/' ) );
    end
end
